#include <bits/stdc++.h>
#define endl '\n'

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    long long n , m , k;
    cin >> n >> m >> k;
    long long ans = (n / k + min(1ll , n % k)) * (m / k + min(1ll , m % k));
    cout << ans;
}
